Ticket #213 (closed ebuild-defect: wontfix)

Opened 11 years ago

Last modified 11 years ago

wxpython-2.6.3.3

Reported by: nenros Owned by: ciaranm
Priority: Sometime Milestone:
Component: core/paludis Version: 0.22.2
Keywords: Cc:
Blocked By: Blocking:
Distribution:

Description

These packages will be installed:

* dev-python/wxpython-2.6.3.3 {:2.6} [R] opengl unicode

Total: 1 package (1 rebuild)

(1 of 1) Installing dev-python/wxpython-2.6.3.3::gentoo

>>> Running ebuild phase fetch as paludisbuild:paludisbuild...
>>> Starting builtin_fetch
>>> Already have wxPython-src-2.6.3.3.tar.bz2
 * Checking MD5 for wxPython-src-2.6.3.3.tar.bz2 ...                     [ ok ]
 * Checking RMD160 for wxPython-src-2.6.3.3.tar.bz2 ...                  [ ok ]
 * Checking SHA256 for wxPython-src-2.6.3.3.tar.bz2 ...                  [ ok ]
>>> Done builtin_fetch
>>> Completed ebuild phase fetch
>>> Running ebuild phase prepare as root:root...
>>> Starting builtin_prepare
>>> Done builtin_prepare
>>> Completed ebuild phase prepare
>>> Running ebuild phases init saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_init
>>> Done builtin_init
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases init saveenv
>>> Running ebuild phases loadenv setup saveenv as root:root...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting pkg_setup
Unhandled exception:
  * In program paludis --log-level qa --best-version wxGTK:
  * When performing best-version action from command line:
  * When parsing package dep spec 'wxGTK' with parse mode 'permissive':
  * When splitting out category and package names from 'wxGTK':
  * Name 'wxGTK' is not a valid qualified package name (paludis::QualifiedPackageNameError)

!!! ERROR in dev-python/wxpython-2.6.3.3:
!!! In built_with_use at line 621
!!! Unable to resolve wxGTK to an installed package

!!! Call stack:
!!!    * built_with_use (/var/tmp/paludis/dev-python/wxpython-2.6.3.3/temp/loadsaveenv:621)
!!!    * pkg_setup (/var/tmp/paludis/dev-python/wxpython-2.6.3.3/temp/loadsaveenv:3151)
!!!    * ebuild_f_setup (/usr/libexec/paludis/pkg_setup.bash:45)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:354)
!!!    * main (/usr/libexec/paludis/ebuild.bash:372)

die trap: exiting with error.

Install error:
  * In program paludis --log-level qa --dl-deps-default discard --install =dev-python/wxpython-2.6.3.3::gentoo --add-to-world-spec ( dev-python/wxpython ):
  * When performing install action from command line:
  * When executing install task:
  * When installing 'dev-python/wxpython-2.6.3.3':
  * Install error: Install failed for 'dev-python/wxpython-2.6.3.3::gentoo'

I haven't nothing more to say :)

Change History

comment:1 Changed 11 years ago by ciaranm

Broken ebuild. best_version should be passed a cat/pkg, not a pkg. Please report this upstream.

comment:2 Changed 11 years ago by ciaranm

  • Status changed from new to closed
  • Type changed from defect to ebuild-defect
  • Resolution set to wontfix

Using wontfix since trac won't let us add an 'upstream' resolution

Note: See TracTickets for help on using tickets.